#!/bin/tcsh -f


# set fs = (k5vsi-vssp-dim k5vsi-vdif-dim \
# 	sudp_recv sudp_send sudp_send2 vdif_chk sudp_rxwrite \
# 	m5b_speana vdif_speana vdif_chk m5b_chk \
# 	sudp_recv2 sudp_recv3 autoobs-vsi.pl autoobs-rmtrcv.pl \
# 	send-start.pl send-stop.pl tcp-talk.pl) 

set PREFIX = /usr/local

cd ../bin

set ft = (tcp-talk.pl)
set fs = `ls`

set exflag = 0
if($#argv > 0) then
    if( "$argv[1]" == "-exe" ) then
	set exflag = 1
	echo execute 
    else
      echo "Just display"
    endif
endif

set pwd = `pwd`

set BINDIR = ${PREFIX}/bin

/usr/bin/install -d ${BINDIR}

foreach f ($fs)
    set cmd = "ln -fs ${pwd}/$f ${BINDIR}/$f"
    echo $cmd
    if( $exflag ) then
	$cmd
    endif
end

cd ../app
set pwd = `pwd`

set TOOLDIR = ${HOME}/tool
foreach f ($ft)
    set cmd = "ln -fs ${pwd}/$f ${TOOLDIR}/$f"
    echo $cmd
    if( $exflag ) then
	$cmd
    endif
end

